
version: '2.4' 
services:

    # For MASTER Mode Configuration
    master:
        container_name: master
        volumes:
            - '/data/master/config/:/config'
            - '/data/master/data/:/data'
            - '/data/log/:/log'
        ports:
          # Inbound hotspots
          - 62031:62031/udp
          # Inbound Open Bridge Ports
          - 6000-6099:6000-6099/udp
        image: 'docker.jaredquinn.info/digitalvoice/master:latest'
        restart: "unless-stopped"
        environment:
            - DMR_CONFIG=/config/dmrmaster.cfg
            - DMR_RULES=/config/rules.py
            - LORO_CONFIG=/config/loro.cfg
            - FDPROXY_IPV6=0
            - FDPROXY_STATS=1
            - FDPROXY_CLIENTINFO=1
            - FDPROXY_DEBUG=1
            - SUPERVISOR_MODE=1

    # Setup Monitoring the same way as for the master server
    monitor:
        container_name: monitor
        image: 'docker.dvdmr.org/digitalvoice/monitor:latest'
        restart: "unless-stopped"
        volumes:
            - '/data/master/:/config'
            - '/data/master/:/data'
            - '/data/log/:/log'
        ports:
          - 9000:9000/tcp # websocket port
        environment:
          - MONITOR_CONFIG=/config/mon.cfg


